package com.pj.api.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 边民组组长
 * @Author Mechrevo
 * @Date 2023 08 01 09 59
 **/
public class GroupDto {


    private Long id;

    /**
     *
     */
    private String addressIds;

    /**
     * 所属边境市（县、区）乡镇村屯
     */
    private String address;

    /**
     *
     */
    private String detailAddress;

    /**
     * 互助组名称
     */
    private String orgName;

    /**
     * 组长ID
     */
    private Long leaderId;

    /**
     * 组长名
     */
    private String leaderName;

    /**
     * 组长电话
     */
    private String leaderPhone;

    /**
     *
     */
    private String code;

    /**
     * 当天该组剩余额度
     */
    private Double leftPrice;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 创建人编号
     */
    private Long createBy;

    /**
     * 创建人名称
     */
    private String createName;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 更新人编号
     */
    private Long updateBy;

    /**
     * 更新人名称
     */
    private String updateName;

    /**
     * 删除状态(0=禁用,1=启用)
     */
    private Integer deleteStatus;

    /**
     * 是否锁住
     */
    private Integer isLock;

    /**
     * 互市区id
     */
    private Long tradeAreaId;

    /**
     * 互市区名称
     */
    private String tradeAreaName;

    /**
     * 地方平台的内部业务编号，每次申请都是新编号
     */
    private String platSeqNo;

    /**
     * 关区代码
     */
    private String customsCode;

    /**
     * 登记号
     */
    private String shopsSccd;

    /**
     * 启停用状态：1-启用、2-停用、3-注销
     */
    private String eDStatus;

    /**
     * 有效效截止时间 yyyy-MM-dd
     */
    private String expiry;

    /**
     * 备案编号，如果为新增备案，传空值；如果为变更备案，必须传值；
     */
    private String putrecNo;

    /**
     *  地方政府编号
     */
    private String localGovernmentNo;

    /**
     * 备案状态：默认 0、待申报，1、已申报，2、备案通过，3、备案失败
     */
    private String filingStatus;

    /**
     * 场站编码
     */
    private String fieldCode;

    /**
     * 边民信息表体信息，json 数组List,
     */
    private String borderList;

    /**
     * 互助组申报边民代表表体信息，json 数组 List
     */
    private String dclBorderList;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAddressIds() {
        return addressIds;
    }

    public void setAddressIds(String addressIds) {
        this.addressIds = addressIds;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getDetailAddress() {
        return detailAddress;
    }

    public void setDetailAddress(String detailAddress) {
        this.detailAddress = detailAddress;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Long getLeaderId() {
        return leaderId;
    }

    public void setLeaderId(Long leaderId) {
        this.leaderId = leaderId;
    }

    public String getLeaderName() {
        return leaderName;
    }

    public void setLeaderName(String leaderName) {
        this.leaderName = leaderName;
    }

    public String getLeaderPhone() {
        return leaderPhone;
    }

    public void setLeaderPhone(String leaderPhone) {
        this.leaderPhone = leaderPhone;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Double getLeftPrice() {
        return leftPrice;
    }

    public void setLeftPrice(Double leftPrice) {
        this.leftPrice = leftPrice;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getCreateBy() {
        return createBy;
    }

    public void setCreateBy(Long createBy) {
        this.createBy = createBy;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(Long updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Integer getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(Integer deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public Integer getIsLock() {
        return isLock;
    }

    public void setIsLock(Integer isLock) {
        this.isLock = isLock;
    }

    public Long getTradeAreaId() {
        return tradeAreaId;
    }

    public void setTradeAreaId(Long tradeAreaId) {
        this.tradeAreaId = tradeAreaId;
    }

    public String getTradeAreaName() {
        return tradeAreaName;
    }

    public void setTradeAreaName(String tradeAreaName) {
        this.tradeAreaName = tradeAreaName;
    }

    public String getPlatSeqNo() {
        return platSeqNo;
    }

    public void setPlatSeqNo(String platSeqNo) {
        this.platSeqNo = platSeqNo;
    }

    public String getCustomsCode() {
        return customsCode;
    }

    public void setCustomsCode(String customsCode) {
        this.customsCode = customsCode;
    }

    public String getShopsSccd() {
        return shopsSccd;
    }

    public void setShopsSccd(String shopsSccd) {
        this.shopsSccd = shopsSccd;
    }

    public String geteDStatus() {
        return eDStatus;
    }

    public void seteDStatus(String eDStatus) {
        this.eDStatus = eDStatus;
    }

    public String getExpiry() {
        return expiry;
    }

    public void setExpiry(String expiry) {
        this.expiry = expiry;
    }

    public String getPutrecNo() {
        return putrecNo;
    }

    public void setPutrecNo(String putrecNo) {
        this.putrecNo = putrecNo;
    }

    public String getLocalGovernmentNo() {
        return localGovernmentNo;
    }

    public void setLocalGovernmentNo(String localGovernmentNo) {
        this.localGovernmentNo = localGovernmentNo;
    }

    public String getFilingStatus() {
        return filingStatus;
    }

    public void setFilingStatus(String filingStatus) {
        this.filingStatus = filingStatus;
    }

    public String getFieldCode() {
        return fieldCode;
    }

    public void setFieldCode(String fieldCode) {
        this.fieldCode = fieldCode;
    }

    public String getBorderList() {
        return borderList;
    }

    public void setBorderList(String borderList) {
        this.borderList = borderList;
    }

    public String getDclBorderList() {
        return dclBorderList;
    }

    public void setDclBorderList(String dclBorderList) {
        this.dclBorderList = dclBorderList;
    }

    public GroupDto(Long id, String addressIds, String address, String detailAddress, String orgName, Long leaderId, String leaderName, String leaderPhone, String code, Double leftPrice, Date createTime, Long createBy, String createName, Date updateTime, Long updateBy, String updateName, Integer deleteStatus, Integer isLock, Long tradeAreaId, String tradeAreaName, String platSeqNo, String customsCode, String shopsSccd, String eDStatus, String expiry, String putrecNo, String localGovernmentNo, String filingStatus, String fieldCode, String borderList, String dclBorderList) {
        this.id = id;
        this.addressIds = addressIds;
        this.address = address;
        this.detailAddress = detailAddress;
        this.orgName = orgName;
        this.leaderId = leaderId;
        this.leaderName = leaderName;
        this.leaderPhone = leaderPhone;
        this.code = code;
        this.leftPrice = leftPrice;
        this.createTime = createTime;
        this.createBy = createBy;
        this.createName = createName;
        this.updateTime = updateTime;
        this.updateBy = updateBy;
        this.updateName = updateName;
        this.deleteStatus = deleteStatus;
        this.isLock = isLock;
        this.tradeAreaId = tradeAreaId;
        this.tradeAreaName = tradeAreaName;
        this.platSeqNo = platSeqNo;
        this.customsCode = customsCode;
        this.shopsSccd = shopsSccd;
        this.eDStatus = eDStatus;
        this.expiry = expiry;
        this.putrecNo = putrecNo;
        this.localGovernmentNo = localGovernmentNo;
        this.filingStatus = filingStatus;
        this.fieldCode = fieldCode;
        this.borderList = borderList;
        this.dclBorderList = dclBorderList;
    }

    public GroupDto() {
    }
}
